Bug 134488 - Crash opening URI
Crash opening URI
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gpdf (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks: 131589
  Show dependency treegraph
 
Reported: 2004-10-03 21:20 EDT by Havoc Pennington
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-19 10:42:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Havoc Pennington 2004-10-03 21:20:50 EDT
When opening a URI on a secure site, gpdf crashes as follows.

Aside from the crash, I think there may be a basic conceptual problem
here: you don't have the session context from the browser, so it's
totally possible a URI accessible to the browser isn't accessible to
gpdf. So it may well be right to change back to downloading the pdf as
default behavior. The crash here (just speculating) could be because
the URI failed to open.

Adding to YellowPad in case it's a general bug, if it's just something
triggered by one specific URI then maybe not a blocker.

Backtrace was generated from '/usr/bin/gpdf'

Using host libthread_db library "/lib/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -151138176 (LWP 23977)]
0x00d2e782 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#0  0x00d2e782 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x002853c3 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
#2  0x032d9f50 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x00000000 in ?? ()
#5  0x00151cb3 in gnome_vfs_socket_close (socket=0x90fa420, 
    cancellation=0x90fa370) at gnome-vfs-socket.c:103
#6  0x00151a46 in gnome_vfs_socket_buffer_destroy
(socket_buffer=0x90fa440, 
    close_socket=1, cancellation=0x0) at gnome-vfs-socket-buffer.c:108
#7  0x00bc7a3e in ne_sock_close (sock=0x90fa3a8) at ne_gnomevfs.c:435
#8  0x00bbd3a0 in ne_close_connection (sess=0x90f17e8) at ne_session.c:247
#9  0x00bbc3d5 in ne_end_request (req=0x90f74c8) at ne_request.c:1227
#10 0x00bbcf65 in ne_request_dispatch (req=0x90f74c8) at ne_request.c:1255
#11 0x00bc4c4f in propfind (handler=0x90f3bc8, 
    results=0xbb79e1 <propfind_result>, userdata=0x90fa370) at
ne_props.c:140
#12 0x00bb8517 in http_get_file_info (context=0x8ed6af8, info=0x90f1080, 
    etag=0x0) at http-neon-method.c:1707
#13 0x00bb9b5a in do_get_file_info (method=0xbcad00, uri=0x90fa370, 
    file_info=0x90f1080, options=9, context=0x0) at
http-neon-method.c:2750
#14 0x00134a09 in gnome_vfs_get_file_info_uri_cancellable (uri=0x90f1118, 
    info=0x90fa370, options=152019824, context=0x0)
    at gnome-vfs-cancellable-ops.c:184
#15 0x0014dcf3 in gnome_vfs_get_file_info_uri (uri=0x90fa370,
info=0x90fa370, 
    options=152019824) at gnome-vfs-ops.c:302
#16 0x0014dd39 in gnome_vfs_get_file_info (text_uri=0x90fa370
"\200£\017\t", 
    info=0x90fa370, options=152019824) at gnome-vfs-ops.c:278
#17 0x001495ce in gnome_vfs_get_mime_type (text_uri=0x90fa370
"\200£\017\t")
    at gnome-vfs-mime.c:871
#18 0x08057680 in egg_recent_item_new_from_uri (
    uri=0x90f0fa8
"https://onesource.ubs.com/CEFSWebApp/OnlineStatementsDisplayServlet")
at egg-recent-item.c:100
#19 0x08051c4e in impl_add_uri (facade=0x8e80fc8, uri=0x90fa370
"\200£\017\t")
    at gpdf-recent-facade.c:47
#20 0x080519e6 in gpdf_uri_input_open_uri (uri_in=0x8ea0840, 
    uri=0x90f0fa8
"https://onesource.ubs.com/CEFSWebApp/OnlineStatementsDisplayServlet")
at gpdf-uri-input.c:50
#21 0x08051a99 in gpdf_uri_input_open_shell_arg (uri_in=0x8ea0840, 
    location=0x90fa370 "\200£\017\t") at gpdf-uri-input.c:88
#22 0x0804f83e in create_window (data=0x90fa370) at gpdf.c:43
#23 0x00501848 in g_idle_dispatch (source=0x90134e8, callback=0x90fa150, 
    user_data=0x90fa370) at gmain.c:3802
#24 0x004fe4fb in g_main_context_dispatch (context=0x8e93ce0) at
gmain.c:1942
#25 0x004fff82 in g_main_context_iterate (context=0x8e93ce0, block=1, 
    dispatch=1, self=0x8e742b8) at gmain.c:2573
#26 0x0050022f in g_main_loop_run (loop=0x90ee8f0) at gmain.c:2777
#27 0x00a4cdd5 in bonobo_main () at bonobo-main.c:297
#28 0x0805162e in main (argc=2, argv=0x8e76ea0) at gpdf.c:165

Thread 1 (Thread -151138176 (LWP 23977)):
#0  0x00d2e782 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
No symbol table info available.
#1  0x002853c3 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x032d9f50 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x00000000 in ?? ()
No symbol table info available.
#5  0x00151cb3 in gnome_vfs_socket_close (socket=0x90fa420, 
    cancellation=0x90fa370) at gnome-vfs-socket.c:103
No locals.
#6  0x00151a46 in gnome_vfs_socket_buffer_destroy
(socket_buffer=0x90fa440, 
    close_socket=1, cancellation=0x0) at gnome-vfs-socket-buffer.c:108
No locals.
#7  0x00bc7a3e in ne_sock_close (sock=0x90fa3a8) at ne_gnomevfs.c:435
	cancellation = (GnomeVFSCancellation *) 0x0
#8  0x00bbd3a0 in ne_close_connection (sess=0x90f17e8) at ne_session.c:247
No locals.
#9  0x00bbc3d5 in ne_end_request (req=0x90f74c8) at ne_request.c:1227
	hk = (struct hook *) 0x0
	ret = 0
#10 0x00bbcf65 in ne_request_dispatch (req=0x90f74c8) at ne_request.c:1255
	len = 152019824
	ret = 152019824
#11 0x00bc4c4f in propfind (handler=0x90f3bc8, 
    results=0xbb79e1 <propfind_result>, userdata=0x90fa370) at
ne_props.c:140
	ret = 12286433
	req = (ne_request *) 0x90f74c8
#12 0x00bb8517 in http_get_file_info (context=0x8ed6af8, info=0x90f1080, 
    etag=0x0) at http-neon-method.c:1707
	result = 149777144
	pfctx = {
  path = 0x90f0ff0 "/CEFSWebApp/OnlineStatementsDisplayServlet", 
  target = 0x0, include_target = 1, children = 0x0, etag = 0x0}
	pfh = (ne_propfind_handler *) 0x90f3bc8
	_etag = 0x0
	req = (ne_request *) 0xbca3e0
	res = 151982360
#13 0x00bb9b5a in do_get_file_info (method=0xbcad00, uri=0x90fa370, 
    file_info=0x90f1080, options=9, context=0x0) at
http-neon-method.c:2750
	result = GNOME_VFS_OK
	hctx = (HttpContext *) 0x8ed6af8
#14 0x00134a09 in gnome_vfs_get_file_info_uri_cancellable (uri=0x90f1118, 
    info=0x90fa370, options=152019824, context=0x0)
    at gnome-vfs-cancellable-ops.c:184
	__PRETTY_FUNCTION__ = "gnome_vfs_get_file_info_uri_cancellable"
#15 0x0014dcf3 in gnome_vfs_get_file_info_uri (uri=0x90fa370,
info=0x90fa370, 
    options=152019824) at gnome-vfs-ops.c:302
No locals.
#16 0x0014dd39 in gnome_vfs_get_file_info (text_uri=0x90fa370
"\200£\017\t", 
    info=0x90fa370, options=152019824) at gnome-vfs-ops.c:278
	uri = (GnomeVFSURI *) 0x90f1118
	result = 151982208
#17 0x001495ce in gnome_vfs_get_mime_type (text_uri=0x90fa370
"\200£\017\t")
    at gnome-vfs-mime.c:871
	info = (GnomeVFSFileInfo *) 0x90f1080
	mime_type = 0x90134e8 "`Íý\b\234YU"
	result = 152019824
#18 0x08057680 in egg_recent_item_new_from_uri (
    uri=0x90f0fa8
"https://onesource.ubs.com/CEFSWebApp/OnlineStatementsDisplayServlet")
at egg-recent-item.c:100
	item = (EggRecentItem *) 0x90f09f8
	__PRETTY_FUNCTION__ = "egg_recent_item_new_from_uri"
#19 0x08051c4e in impl_add_uri (facade=0x8e80fc8, uri=0x90fa370
"\200£\017\t")
    at gpdf-recent-facade.c:47
	item = (EggRecentItem *) 0x8ea0840
#20 0x080519e6 in gpdf_uri_input_open_uri (uri_in=0x8ea0840, 
    uri=0x90f0fa8
"https://onesource.ubs.com/CEFSWebApp/OnlineStatementsDisplayServlet")
at gpdf-uri-input.c:50
No locals.
#21 0x08051a99 in gpdf_uri_input_open_shell_arg (uri_in=0x8ea0840, 
    location=0x90fa370 "\200£\017\t") at gpdf-uri-input.c:88
	uri = 0x90f0fa8
"https://onesource.ubs.com/CEFSWebApp/OnlineStatementsDisplayServlet"
	__PRETTY_FUNCTION__ = "gpdf_uri_input_open_shell_arg"
#22 0x0804f83e in create_window (data=0x90fa370) at gpdf.c:43
No locals.
#23 0x00501848 in g_idle_dispatch (source=0x90134e8, callback=0x90fa150, 
    user_data=0x90fa370) at gmain.c:3802
No locals.
#24 0x004fe4fb in g_main_context_dispatch (context=0x8e93ce0) at
gmain.c:1942
No locals.
#25 0x004fff82 in g_main_context_iterate (context=0x8e93ce0, block=1, 
    dispatch=1, self=0x8e742b8) at gmain.c:2573
	got_ownership = 152019824
	max_priority = 200
	timeout = 0
	some_ready = 1
	nfds = 9
	allocated_nfds = 1
	fds = (GPollFD *) 0x90eec30
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#26 0x0050022f in g_main_loop_run (loop=0x90ee8f0) at gmain.c:2777
	got_ownership = 13866736
	self = (GThread *) 0x8e742b8
	__PRETTY_FUNCTION__ = "g_main_loop_run"
#27 0x00a4cdd5 in bonobo_main () at bonobo-main.c:297
	loop = (GMainLoop *) 0x90ee8f0
#28 0x0805162e in main (argc=2, argv=0x8e76ea0) at gpdf.c:165
	program = (GnomeProgram *) 0x8e74e80
	value = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, 
      v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
      v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
      v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer
= 0x0}}}
	ctx = 0x8e76ea0
Comment 1 Alexander Larsson 2004-10-12 08:30:19 EDT
This should be fixed in gnome-vfs2-2.8.2-1.
Comment 2 Marco Pesenti Gritti 2004-10-12 15:43:12 EDT
I solved this also on the epiphany side. I removed handling of
downloads by external applications. Even fixing gnome-vfs the missing
session context argument applies.

Note You need to log in before you can comment on or make changes to this bug.